ServersOperations Class

ServersOperations operations.

You should not instantiate this class directly. Instead, you should create a Client instance that instantiates it for you and attaches it as an attribute.

Inheritance
builtins.object
ServersOperations

Constructor

ServersOperations(client, config, serializer, deserializer)

Parameters

client
Required

Client for service requests.

config
Required

Configuration of service client.

serializer
Required

An object model serializer.

deserializer
Required

An object model deserializer.

Variables

models

Alias to model classes used in this operation group.

Methods

begin_create_or_update

Creates or updates a server.

begin_delete

Deletes a server.

begin_import_database

Imports a bacpac into a new database.

begin_update

Updates a server.

check_name_availability

Determines whether a resource can be created with the specified name.

get

Gets a server.

list

Gets a list of all servers in the subscription.

list_by_resource_group

Gets a list of servers in a resource groups.

begin_create_or_update

Creates or updates a server.

begin_create_or_update(resource_group_name: str, server_name: str, parameters: _models.Server, **kwargs: Any) -> LROPoller[_models.Server]

Parameters

resource_group_name
str
Required

The name of the resource group that contains the resource. You can obtain this value from the Azure Resource Manager API or the portal.

server_name
str
Required

The name of the server.

parameters
Server
Required

The requested server resource state.

cls
callable

A custom type or function that will be passed the direct response

continuation_token
str

A continuation token to restart a poller from a saved state.

polling
bool or PollingMethod

By default, your polling method will be ARMPolling. Pass in False for this operation to not poll, or pass in your own initialized polling object for a personal polling strategy.

polling_interval
int

Default waiting time between two polls for LRO operations if no Retry-After header is present.

Returns

An instance of LROPoller that returns either Server or the result of cls(response)

Return type

Exceptions

begin_delete

Deletes a server.

begin_delete(resource_group_name: str, server_name: str, **kwargs: Any) -> LROPoller[None]

Parameters

resource_group_name
str
Required

The name of the resource group that contains the resource. You can obtain this value from the Azure Resource Manager API or the portal.

server_name
str
Required

The name of the server.

cls
callable

A custom type or function that will be passed the direct response

continuation_token
str

A continuation token to restart a poller from a saved state.

polling
bool or PollingMethod

By default, your polling method will be ARMPolling. Pass in False for this operation to not poll, or pass in your own initialized polling object for a personal polling strategy.

polling_interval
int

Default waiting time between two polls for LRO operations if no Retry-After header is present.

Returns

An instance of LROPoller that returns either None or the result of cls(response)

Return type

Exceptions

begin_import_database

Imports a bacpac into a new database.

begin_import_database(resource_group_name: str, server_name: str, parameters: _models.ImportNewDatabaseDefinition, **kwargs: Any) -> LROPoller[_models.ImportExportOperationResult]

Parameters

resource_group_name
str
Required

The name of the resource group that contains the resource. You can obtain this value from the Azure Resource Manager API or the portal.

server_name
str
Required

The name of the server.

parameters
ImportNewDatabaseDefinition
Required

The database import request parameters.

cls
callable

A custom type or function that will be passed the direct response

continuation_token
str

A continuation token to restart a poller from a saved state.

polling
bool or PollingMethod

By default, your polling method will be ARMPolling. Pass in False for this operation to not poll, or pass in your own initialized polling object for a personal polling strategy.

polling_interval
int

Default waiting time between two polls for LRO operations if no Retry-After header is present.

Returns

An instance of LROPoller that returns either ImportExportOperationResult or the result of cls(response)

Return type

Exceptions

begin_update

Updates a server.

begin_update(resource_group_name: str, server_name: str, parameters: _models.ServerUpdate, **kwargs: Any) -> LROPoller[_models.Server]

Parameters

resource_group_name
str
Required

The name of the resource group that contains the resource. You can obtain this value from the Azure Resource Manager API or the portal.

server_name
str
Required

The name of the server.

parameters
ServerUpdate
Required

The requested server resource state.

cls
callable

A custom type or function that will be passed the direct response

continuation_token
str

A continuation token to restart a poller from a saved state.

polling
bool or PollingMethod

By default, your polling method will be ARMPolling. Pass in False for this operation to not poll, or pass in your own initialized polling object for a personal polling strategy.

polling_interval
int

Default waiting time between two polls for LRO operations if no Retry-After header is present.

Returns

An instance of LROPoller that returns either Server or the result of cls(response)

Return type

Exceptions

check_name_availability

Determines whether a resource can be created with the specified name.

check_name_availability(parameters: _models.CheckNameAvailabilityRequest, **kwargs: Any) -> _models.CheckNameAvailabilityResponse

Parameters

parameters
CheckNameAvailabilityRequest
Required

The name availability request parameters.

cls
callable

A custom type or function that will be passed the direct response

Returns

CheckNameAvailabilityResponse, or the result of cls(response)

Return type

Exceptions

get

Gets a server.

get(resource_group_name: str, server_name: str, expand: Optional[str] = None, **kwargs: Any) -> _models.Server

Parameters

resource_group_name
str
Required

The name of the resource group that contains the resource. You can obtain this value from the Azure Resource Manager API or the portal.

server_name
str
Required

The name of the server.

expand
str
default value: None

The child resources to include in the response.

cls
callable

A custom type or function that will be passed the direct response

Returns

Server, or the result of cls(response)

Return type

Exceptions

list

Gets a list of all servers in the subscription.

list(expand: Optional[str] = None, **kwargs: Any) -> Iterable[_models.ServerListResult]

Parameters

expand
str
default value: None

The child resources to include in the response.

cls
callable

A custom type or function that will be passed the direct response

Returns

An iterator like instance of either ServerListResult or the result of cls(response)

Return type

Exceptions

list_by_resource_group

Gets a list of servers in a resource groups.

list_by_resource_group(resource_group_name: str, expand: Optional[str] = None, **kwargs: Any) -> Iterable[_models.ServerListResult]

Parameters

resource_group_name
str
Required

The name of the resource group that contains the resource. You can obtain this value from the Azure Resource Manager API or the portal.

expand
str
default value: None

The child resources to include in the response.

cls
callable

A custom type or function that will be passed the direct response

Returns

An iterator like instance of either ServerListResult or the result of cls(response)

Return type

Exceptions

Attributes

models

models = <module 'azure.mgmt.sql.models' from 'C:\\hostedtoolcache\\windows\\Python\\3.9.13\\x64\\lib\\site-packages\\azure\\mgmt\\sql\\models\\__init__.py'>